@use(App\Models\Charge)

@extends('adminlte::layouts.app')

@section('htmlheader_title')
	Unprocessed Charges
@endsection
@section('page_title')
	Unprocessed
@endsection

@section('contentheader_title')
	Unprocessed Charges
@endsection
@section('contentheader_description')
@endsection

@section('main-content')
	<div class="row">
		<div class="col-9">
			<div class="card">
				<div class="card-body">
					<table class="table table-striped table-hover" id="unprocessed_charges">
						<thead>
						<tr>
							<th>ID</th>
							<th>Date Created</th>
							<th>Date Charge</th>
							<th>Account</th>
							<th>Service</th>
							<th>Description</th>
							<th class="text-right">Total</th>
							<th>&nbsp;</th>
						</tr>
						</thead>

						<tbody>
						@forelse(Charge::pending()->with(['account.user','service'])->get() as $o)
							<tr>
								<td>{{ $o->id }}</td>
								<td>{{ $o->charge_at->format('Y-m-d') }}</td>
								<td>{{ $o->created_at->format('Y-m-d') }}</td>
								<td>{{ $o->account->name }}</td>
								<td><a href="{{ url('u/service',$o->service_id) }}">{{ $o->service->name_short }}</a></td>
								<td>{{ $o->description }}</td>
								<td class="text-right">{{ number_format($o->total,2) }}</td>
								<td><a class="charge_delete text-dark" data-id="{{ $o->id }}" href="{{ url('/r/charge/delete',$o->id) }}"><i class="fas fa-fw fa-ban"></i></a></td>
							</tr>
						@empty
							<tr>
								<td colspan="7">Not charges unprocessed</td>
							</tr>
						@endforelse
						</tbody>
					</table>
				</div>
			</div>
		</div>
	</div>

	<x-leenooks::modal.delete hide="row" trigger="charge_delete"/>
@endsection

@pa(datatables,rowgroup|conditionalpaging)

@section('page-scripts')
	<script type="text/javascript">
		$(document).ready(function() {
			$('#unprocessed_charges').DataTable({
				conditionalPaging: true,
				order: [[3,'desc'],[1,'desc']],
				rowGroup: {
					dataSrc: [3],
				},
			});
		});
	</script>
@append